Subject: bug#10458: 24.0.92; ! in dired on a file starting with a hyphen

From: Stefan Monnier <[email-masked]>
Date: Mon, 21 Feb 2022 21:51:43 -0500

>> The problem with that is that it's hackish and ad-hoc.  It will
>> sometimes do the right thing, but other times it' not what's expected
>> and users will find it odd.
>
> Statistically speaking, it'll work on more cases than `!' used to,
> though.  I'm pretty sure.  And I think it's fine for a command like `!'
> to try to DWIM.

I was thinking of making it less-DWIMish and leave it in control of
the user.  IOW, rather than try to magically "do the right thing" for
files starting with `-`, allow the users to request explicitly absolute
file names (maybe with a prefix command or something like that) when
*they* see it's needed.

It won't fix the user's mistakes, but it will give a simpler semantics
on which powerusers can more easily rely.

        Stefan